(function(){var kBZ=function(){if(this.IXc){this.IXc();return;}var vc=kBZ.prototype;vc.IXc=function(){this.H4q="";this.hiu="";};vc.setServerURL=function(w7c){
this.H4q=w7c;};vc.setServerIP=function(XXL){this.hiu=XXL;};vc.createSecureOutputStream=function(kZ,j5){var HXc=new ByteArray();var vR=0;var xec;
for(xec in j5){vR++;}HXc.writeInt(vR);for(xec in j5){var W39=j5[xec];this.vJ(HXc,xec);this.vJ(HXc,W39);}var JXn=new ByteArray();var nuZ=new this.KBu("forcs@#$",JXn);
nuZ.write(kZ,0,kZ.length);HXc.writeBytes(JXn,0,JXn.length);HXc.position=0;return HXc;};vc.createSecureInputStream=function(kZ,j5){var size=kZ.readInt();
for(var i=0; i<size; i++){var xec=this.q_(kZ);var W39=this.q_(kZ);j5[xec]=W39;}var HXc=new ByteArray();var M5u=new this.rBu("forcs@#$",kZ);var v3X=new ByteArray();
M5u.read(v3X,0,kZ.length-kZ.position);HXc.writeBytes(v3X,0,v3X.length);HXc.position=0;return HXc;};vc.vJ=function(kZ,Fc){var i;var cTU=Fc.length;
kZ.writeInt(cTU);var v;for(i=0; i<cTU; i++){v=Fc.charCodeAt(i);kZ.writeByte((v>>>8)&255);kZ.writeByte((v>>>0)&255);}};vc.q_=function(kZ){var cTU;
var iRL,P6L;cTU=kZ.readInt();if(cTU==-1){return "<NULL>";}else{if(cTU<-1){throw new Error("A malformed string has been read in a data input stream.");
}}var Fc="";var position=kZ.position;for(var i=0; i<cTU; i++){iRL=kZ[position+i*2];P6L=kZ[position+i*2+1];if((iRL|P6L)<0){throw new Error("A malformed string has been read in a data input stream.");
}Fc+=String.fromCharCode((iRL<<8)+(P6L<<0));}kZ.position+=cTU*2;return Fc;};var rBu=function(K2,wtv){if(this.SfR){this.SfR(K2,wtv);return;}var jY9=rBu.prototype;
jY9.SfR=function(K2,wtv){this.c5m=K2;this.ax=0;this.bx=0;this.cx=0;this.dx=0;this.si=0;this.eU=0;this.GHq=0;this.PL=0;this.i=0;this.qTc=0;this.RHU=new Array();
this.Mgu=0;this.Cgu=0;this.xP9=0;this.hnc=wtv;this.HpU=new ByteArray();this.HpU.setLength(17);var qyc=new ByteArray();qyc.writeMultiByte(K2,"iso-8859-1");
this.HpU.writeBytes(qyc,0,qyc.length>16?16:qyc.length);this.HpU.set(16,0);this.clear();};jY9.clear=function(){this.ax=0;this.bx=0;this.cx=0;this.dx=0;
this.si=0;this.eU=0;this.GHq=0;this.PL=0;this.i=0;this.qTc=0;this.Mgu=0;this.Cgu=0;this.xP9=0;for(var i=0; i<8; i++){this.RHU[i]=0;}};jY9.ZaR=function(){
var c=this.hnc.readByte();if(c==-1){return -1;}this.koq();this.Mgu=this.qTc>>>8;this.Cgu=this.qTc&255;c=c^(this.Mgu^this.Cgu);for(this.xP9=0; this.xP9<=15; this.xP9++){
this.HpU.set(this.xP9,this.HpU.get(this.xP9)^c);}return c;};jY9.read=function(b,off,dL,Ki9){if(b===undefined){b=null;}if(off===undefined){off=-1;
}if(dL===undefined){dL=-1;}if(Ki9===undefined){Ki9=-1;}if((b==null)||this.hnc==null){Pwq("Null point exception");return -1;}if(dL<1){return 0;
}this.hnc.readBytes(b,off,dL);var rt=dL;if(rt<=0){return rt;}var c=0;var i=0;for(i=0; i<rt; i++){this.koq();this.Mgu=this.qTc>>>8;this.Cgu=this.qTc&255;
c=b.get(i+off);c=c^(this.Mgu^this.Cgu);for(var j=0; j<16; j++){this.HpU.set(j,this.HpU.get(j)^c);}b.set(i+off,c);}return rt;};jY9.Dy=function(){
return 0;};jY9.IKR=function(){this.dx=this.GHq+this.i;this.ax=this.RHU[this.i];this.cx=346;this.bx=20021;this.eU=this.ax;this.ax=this.si;this.si=this.eU;
this.eU=this.ax;this.ax=this.dx;this.dx=this.eU;this.ax=this.ax*this.bx&65535;this.eU=this.ax;this.ax=this.cx;this.cx=this.eU;if(this.ax!=0){
this.ax=(this.ax*this.si)&65535;this.cx=(this.ax+this.cx)&65535;}this.eU=this.ax;this.ax=this.si;this.si=this.eU;this.ax=(this.ax*this.bx)&65535;
this.dx=(this.cx+this.dx)&65535;this.ax=this.ax+1;this.GHq=this.dx;this.RHU[this.i]=this.ax;this.PL=this.ax^this.dx;this.i=this.i+1;};jY9.koq=function(){
this.RHU[0]=(this.HpU.get(0)*256)+this.HpU.get(1);this.IKR();this.qTc=this.PL;this.RHU[1]=this.RHU[0]^((this.HpU.get(2)*256)+this.HpU.get(3));
this.IKR();this.qTc=this.qTc^this.PL;this.RHU[2]=this.RHU[1]^((this.HpU.get(4)*256)+this.HpU.get(5));this.IKR();this.qTc=this.qTc^this.PL;this.RHU[3]=this.RHU[2]^((this.HpU.get(6)*256)+this.HpU.get(7));
this.IKR();this.qTc=this.qTc^this.PL;this.RHU[4]=this.RHU[3]^((this.HpU.get(8)*256)+this.HpU.get(9));this.IKR();this.qTc=this.qTc^this.PL;this.RHU[5]=this.RHU[4]^((this.HpU.get(10)*256)+this.HpU.get(11));
this.IKR();this.qTc=this.qTc^this.PL;this.RHU[6]=this.RHU[5]^((this.HpU.get(12)*256)+this.HpU.get(13));this.IKR();this.qTc=this.qTc^this.PL;this.RHU[7]=this.RHU[6]^((this.HpU.get(14)*256)+this.HpU.get(15));
this.IKR();this.qTc=this.qTc^this.PL;this.i=0;};this.SfR(K2,wtv);};vc.rBu=rBu;var KBu=function(K2,flI){if(this.mfR){this.mfR(K2,flI);return;}
var jY9=KBu.prototype;jY9.mfR=function(K2,flI){this.ax=0;this.bx=0;this.cx=0;this.dx=0;this.si=0;this.eU=0;this.GHq=0;this.PL=0;this.i=0;this.qTc=0;
this.RHU=new Array();this.Mgu=0;this.Cgu=0;this.xP9=0;this.AY=flI;this.RHU.length=8;this.HpU=new ByteArray();this.HpU.setLength(17);var qyc=new ByteArray();
qyc.writeMultiByte(K2,"iso-8859-1");this.HpU.writeBytes(qyc,0,qyc.length>16?16:qyc.length);this.HpU.set(16,0);this.clear();};jY9.clear=function(){
this.ax=0;this.bx=0;this.cx=0;this.dx=0;this.si=0;this.eU=0;this.GHq=0;this.PL=0;this.i=0;this.qTc=0;this.Mgu=0;this.Cgu=0;this.xP9=0;for(var i=0; i<8; i++){
this.RHU[i]=0;}};jY9.yZc=function(b){this.koq();this.Mgu=this.qTc>>>8;this.Cgu=this.qTc&255;for(this.xP9=0; this.xP9<=15; this.xP9++){this.HpU.set(this.xP9,this.HpU.get(this.xP9)^b);
}b=b^(this.Mgu^this.Cgu);this.AY.writeByte(b);};jY9.write=function(b,off,dL){if(b===undefined){b=null;}if(off===undefined){off=-1;}if(dL===undefined){
dL=-1;}if((b==null)||this.AY==null){Pwq("Null point exception");return;}if(dL<1){return;}var c=0;var TSb=new ByteArray();TSb.setLength(dL);for(var i=0; i<dL; i++){
this.koq();this.Mgu=this.qTc>>>8;this.Cgu=this.qTc&255;c=b.get(i+off);for(var j=0; j<16; j++){this.HpU.set(j,this.HpU.get(j)^c);}c=c^(this.Mgu^this.Cgu);
TSb.set(i,c);}this.AY.writeBytes(TSb,0,dL);TSb=null;};jY9.flush=function(){};jY9.close=function(){};jY9.IKR=function(){this.dx=this.GHq+this.i;
this.ax=this.RHU[this.i];this.cx=346;this.bx=20021;this.eU=this.ax;this.ax=this.si;this.si=this.eU;this.eU=this.ax;this.ax=this.dx;this.dx=this.eU;
this.ax=this.ax*this.bx&65535;this.eU=this.ax;this.ax=this.cx;this.cx=this.eU;if(this.ax!=0){this.ax=(this.ax*this.si)&65535;this.cx=(this.ax+this.cx)&65535;
}this.eU=this.ax;this.ax=this.si;this.si=this.eU;this.ax=(this.ax*this.bx)&65535;this.dx=(this.cx+this.dx)&65535;this.ax=this.ax+1;this.GHq=this.dx;
this.RHU[this.i]=this.ax;this.PL=this.ax^this.dx;this.i=this.i+1;};jY9.koq=function(){this.RHU[0]=(this.HpU.get(0)*256)+this.HpU.get(1);this.IKR();
this.qTc=this.PL;this.RHU[1]=this.RHU[0]^((this.HpU.get(2)*256)+this.HpU.get(3));this.IKR();this.qTc=this.qTc^this.PL;this.RHU[2]=this.RHU[1]^((this.HpU.get(4)*256)+this.HpU.get(5));
this.IKR();this.qTc=this.qTc^this.PL;this.RHU[3]=this.RHU[2]^((this.HpU.get(6)*256)+this.HpU.get(7));this.IKR();this.qTc=this.qTc^this.PL;this.RHU[4]=this.RHU[3]^((this.HpU.get(8)*256)+this.HpU.get(9));
this.IKR();this.qTc=this.qTc^this.PL;this.RHU[5]=this.RHU[4]^((this.HpU.get(10)*256)+this.HpU.get(11));this.IKR();this.qTc=this.qTc^this.PL;this.RHU[6]=this.RHU[5]^((this.HpU.get(12)*256)+this.HpU.get(13));
this.IKR();this.qTc=this.qTc^this.PL;this.RHU[7]=this.RHU[6]^((this.HpU.get(14)*256)+this.HpU.get(15));this.IKR();this.qTc=this.qTc^this.PL;this.i=0;
};this.mfR(K2,flI);};vc.KBu=KBu;this.IXc();};return kBZ;})();
